org.eclipse.jgit.api.errors

## Class InvalidMergeHeadsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.jgit.api.errors.GitAPIException
      - - org.eclipse.jgit.api.errors.InvalidMergeHeadsException

All Implemented Interfaces:
  Serializable

    public class InvalidMergeHeadsException
    extends GitAPIException

Exception thrown when a merge command was called without specifying the proper amount/type of merge heads. E.g. a non-octopus merge strategy was confronted with more than one head to be merged into HEAD. Another case would be if a merge was called without including any head.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidMergeHeadsException(String msg)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidMergeHeadsException

    public InvalidMergeHeadsException(String msg)

Parameters:
  `msg` -